Bug 136300 - CAN-2004-0977 temporary file vulnerabilities in make_oidjoins_check script
CAN-2004-0977 temporary file vulnerabilities in make_oidjoins_check script
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rh-postgresql (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Tom Lane
public=20040930,impact=low
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-19 05:42 EDT by Mark J. Cox (Product Security)
Modified: 2013-07-02 23:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 12:54:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tempfile patch from vendor-sec (1.42 KB, patch)
2004-10-19 05:43 EDT, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2004-10-19 05:42:08 EDT
On September 10th 2004, Trustix shared some temporary file
vulnerabilities with vendor-sec.  After some refinement these were
made public on Sep30.  These are minor issues (impact: LOW) and
therefore should be fixed in future updates, but don't deserve their
own security advisory.

Temporary file vulnerability in make_oidjoins_check script.  Patch
attached.  Part of rh-postgresql-contrib therefore affects RHEL3

This issue does not affect the RHEL2.1 postgresql packages which did
not contain this script.
Comment 1 Mark J. Cox (Product Security) 2004-10-19 05:43:25 EDT
Created attachment 105429 [details]
tempfile patch from vendor-sec
Comment 2 Tom Lane 2004-10-19 10:16:57 EDT
What we have here is an unportable solution to a non-problem. 
make_oidjoins_check is never run by users, and in any case the worst
someone could do is screw up the regression test script it creates,
which would certainly be noticed before the script got used in
production.

I might be more excited about applying this if the proposed mktemp
call hadn't failed outright on the system that I would actually be
likely to be running make_oidjoins_check on for future PG releases;
but as is, the patch is unacceptable upstream, and I don't think it's
worth the trouble to try to develop a portable invocation of mktemp
for this.

A more likely patch would be to remove the script from the RPM
entirely ... it seems like a waste of space to have it there.
Comment 4 Tom Lane 2004-10-19 11:37:00 EDT
It certainly wouldn't ever be run as root --- it's basically a tool
that is used about once per release cycle to update the oidjoins
regression test script to match the system catalogs' foreign-key
structure.

Also the attacker couldn't control what was going to be written, so
the vulnerability seems essentially nil to me.  Taking the script out
of the distro is definitely the most reasonable response.
Comment 5 Tom Lane 2004-10-25 21:03:53 EDT
This is repaired in rh-postgresql-7.3.8-1.
Comment 6 John Flanagan 2004-12-20 12:54:14 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-489.html

Note You need to log in before you can comment on or make changes to this bug.